## rpy2 3.5.3

=== debian/changelog ===
rpy2 (3.5.3-1.1604.0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.7 LTS
  * Remove dependency for R 4.0.0 for backports in Ubuntu
  * debian/control, debian/rules, debian/compat: revert to a version of
    debheler < 10
  * Added dependency on dh-r
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Sat, 30 Jul 2022 13:58:13 +0000

rpy2 (3.5.3-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 29 Jul 2022 08:50:01 -0500

rpy2 (3.5.2-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 May 2022 19:23:08 -0500

=== debian/control ===
Source: rpy2
Section: python
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.6.1
Build-Depends: debhelper, dh-r, dh-python, r-base-dev, python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
X-Python3-Version: >= 3.6
Vcs-Browser: https://salsa.debian.org/edd/rpy2
Vcs-Git: https://salsa.debian.org/edd/rpy2.git
Homepage: https://rpy2.github.io/

Package: python3-rpy2
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, python3-numpy, r-base-core (>= 3.5.0), python3-jinja2, python3-tzlocal
Provides: ${python3:Provides}
Suggests: python-rpy-docs
Description: Python3 interface to the GNU R language and environment (version 2)
 This Debian package provides RPy2, a very simple yet robust Python interface
 to the GNU R Programming Language. It can manage different types of R objects,
 and can execute arbitrary R functions, including graphic functions.
 Rpy2 is a rewrite and extension of the older RPy interface.

## rpy2 3.5.4

=== debian/changelog ===
rpy2 (3.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Aug 2022 13:04:10 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.6.1
-Build-Depends: debhelper, dh-r, dh-python, r-base-dev, python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Build-Depends: debhelper-compat (= 11), dh-python, r-base-dev (>= 4.2.1), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

## rpy2 3.5.5

=== debian/changelog ===
rpy2 (3.5.5-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.5 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Wed, 19 Oct 2022 00:38:31 +0000

rpy2 (3.5.5-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Oct 2022 22:52:32 -0500

## rpy2 3.5.8

=== debian/changelog ===
rpy2 (3.5.8-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Feb 2023 07:29:10 -0600

rpy2 (3.5.7-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Jan 2023 08:33:44 -0600

rpy2 (3.5.6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 Nov 2022 14:03:37 -0600

## rpy2 3.5.9

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

_dummy := $(shell mkdir -p generated_rst)

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \'make <target>\' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  rpy2demo_graphics to build the figures used in the documentation about graphics"
	@echo "  rpy2demo_benchmark to build the figure(s) used in the documentation about benchmarks"
	@echo "  notebooks to build the ipython notebooks used in the documentation"

clean:
	rm -rf $(BUILDDIR)/*

rpy2demo_benchmark:
	@cd _static/demos && python benchmarks.py

rpy2demo_graphics:
	@cd _static/demos && python graphics.py

rpy2demo_all: rpy2demo_graphics rpy2demo_benchmark

# rule to build ipython notebooks from markdown
notebooks/%.ipynb : notebooks/%.md
	notedown \
                 --precode 'from functools import partial' \
                           'from rpy2.ipython import html' \
                           'html.html_rdataframe=partial(html.html_rdataframe, table_class="docutils")' \
                 --run \
                 -o $@ \
	         $<
	cp -p $@ _static/notebooks/

# rule to build sphinx-friendly ReST from ipython notebooks
notebooks/%.rst : notebooks/%.ipynb
	@cd generated_rst && jupyter nbconvert --to rst ../$< --output-dir=.

# rule to build HTML render of an ipython notebook
_static/notebooks/%.html : notebooks/%.ipynb
	jupyter nbconvert --to html $< --output ../$@

MD_NOTEBOOKS := $(basename $(notdir $(wildcard notebooks/*.md)))

_ensure_notebooks_dir:
	mkdir -p _static/notebooks

_notebooks: $(MD_NOTEBOOKS:%=notebooks/%.rst)

_notebooks_html: $(MD_NOTEBOOKS:%=_static/notebooks/%.html)

_notebooks_rst: $(MD_NOTEBOOKS:%=notebooks/%.rst)

_notebooks_parents:
	cp -u generated_wrapper_rst/notebooks.rst generated_rst/

notebooks: _ensure_notebooks_dir _notebooks _notebooks_html _notebooks_rst _notebooks_parents

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rpy2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rpy2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rpy2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rpy2"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
rpy2 (3.5.9-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Feb 2023 16:52:54 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.6.1
-Build-Depends: debhelper-compat (= 11), dh-python, r-base-dev (>= 4.2.1), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 12), dh-python, r-base-dev (>= 4.2.2), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

=== debian/watch ===
version=3
http://pypi.debian.net/rpy2/rpy2-(.*).tar.gz

## rpy2 3.5.10

=== debian/changelog ===
rpy2 (3.5.10-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.6 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Tue, 21 Mar 2023 02:44:07 +0000

rpy2 (3.5.10-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 10 Mar 2023 15:31:17 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 12), dh-python, r-base-dev (>= 4.2.2), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Build-Depends: debhelper, dh-python, r-base-dev (>= 4.2.2), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

## rpy2 3.5.11

=== debian/changelog ===
rpy2 (3.5.11-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.6 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Sat, 29 Apr 2023 15:29:29 +0000

rpy2 (3.5.11-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Apr 2023 18:28:52 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.6.2
-Build-Depends: debhelper, dh-python, r-base-dev (>= 4.2.2), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Build-Depends: debhelper, dh-python, r-base-dev (>= 4.3.0), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

## rpy2 3.5.12

=== debian/changelog ===
rpy2 (3.5.12-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.6 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Sat, 03 Jun 2023 13:26:12 +0000

rpy2 (3.5.12-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 22 May 2023 07:25:30 -0500

## rpy2 3.5.13

=== debian/changelog ===
rpy2 (3.5.13-5) unstable; urgency=medium

  * debian/patches/skip_complex_tests_on_mips64el: Fix a brown bag bug in
    the patch for #1050432

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 26 Aug 2023 12:00:53 -0500

rpy2 (3.5.13-4) unstable; urgency=medium

  * rpy2/tests/*: Skip several tests on mips64el where complex variables
    now fail the tests					(Closes: #1050432)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 26 Aug 2023 10:53:00 -0500

rpy2 (3.5.13-3) unstable; urgency=medium

  * rpy2/tests/robjects/test_vector_datetime.py: Comment out one test
    creating issues on several platforms
    
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 Jul 2023 11:12:19 -0500

rpy2 (3.5.13-2) unstable; urgency=medium

  * debian/control: Remove 'Testsuite: autopkgtest-pkg-pybuild' as the
    build suite did not do well enough do support this
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 19 Jul 2023 09:28:23 -0500

rpy2 (3.5.13-1) unstable; urgency=medium

  * New upstream release

  * Upstream no longer uses deprecated (and not in Debian) pytz module in
    tests so we can turn on autopkgtest. So thanks to Laurent upstream.

  * debian/control: Add autopkgtest setting		(Closes: #1035237)
  * debian/control: Add r-cran-survival to Build-Depends for one test

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Jun 2023 07:42:50 -0500

rpy2 (3.5.12-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Jun 2023 09:48:23 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.6.2
-Build-Depends: debhelper, dh-python, r-base-dev (>= 4.3.0), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Build-Depends: debhelper-compat (= 13), dh-python, r-base-dev (>= 4.3.1), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal, python3-pytest, python3-jinja2, r-cran-survival
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for the Debian GNU/Linux python-rpy2 package
# Copyright 2004 - 2023 by Dirk Eddelbuettel <edd@debian.org>

#buildvers       := $(shell pyversions -sv)
build3vers      := $(shell py3versions -sv)

version         := $(shell head -1 debian/changelog | perl -nle 'm/\((.*)-\d\)/ && print $$1')

showversion:
	@echo "Version is ${version}"

tarball:
	(cd .. && \
		tar czf ../$(project)_${version}.orig.tar.gz ./$(project) \
			--exclude=.svn --exclude=debian/ --exclude=.hg)

%:
	dh $@ --with python3 --buildsystem=pybuild

# Disable tests since not shipped by upstream
# see https://bitbucket.org/rpy2/rpy2/issues/528/please-ship-tests-along-with-the-release
#
# Commented-out again 2023-05-24
# override_dh_auto_test:

override_dh_installdocs:
	dh_installdocs -a NEWS

override_dh_clean:
	dh_clean
#	rm -rf $(CURDIR)/build

override_dh_auto_clean:
	echo "Skipping"

## rpy2 3.5.14

=== debian/changelog ===
rpy2 (3.5.14-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.6 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Thu, 05 Oct 2023 00:15:09 +0000

rpy2 (3.5.14-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Sep 2023 07:19:31 -0500

rpy2 (3.5.13-6) unstable; urgency=medium

  * debian/rules: Applied patch by Chris Lamb to remove plot output file
    Rplots.pdf to ensure reproducibility		(Closes: #1050955)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Sep 2023 07:26:11 -0500

## rpy2 3.5.15

=== debian/changelog ===
rpy2 (3.5.15-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 31 Dec 2023 07:58:43 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), dh-python, r-base-dev (>= 4.3.1), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal, python3-pytest, python3-jinja2, r-cran-survival
+Build-Depends: debhelper-compat (= 13), dh-python, r-base-dev (>= 4.3.2), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal, python3-pytest, python3-jinja2, r-cran-survival
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

## rpy2 3.5.16

=== debian/changelog ===
rpy2 (3.5.16-3) unstable; urgency=medium

  [ wuruilong ]
  * debian/patches/skip_complex_tests_on_mips64el_and_riscv64_and_loon64:
    Extended patch to also skip tests on loong64

  [Dirk Eddelbuettel]
  * Applied patch to address build issue on loong64	(Closes: #1073251)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 16 Jun 2024 07:37:12 -0500

rpy2 (3.5.16-2) unstable; urgency=medium

  [Bo Yu]
  * debian/patches/skip_complex_tests_on_mips64el_and_riscv64: Extended
    mips64el patch to also skip tests on riscv64

  [Dirk Eddelbuettel]
  * Applied patch to address build issue on riskv64	(Closes: #1071362)
  * debian/patches/skip_r_embedding_tests: Skip embedding tests which now
    seg.fault under R 4.4.0 while we await a response from upstream
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 May 2024 08:00:19 -0500

rpy2 (3.5.16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 04 Apr 2024 15:42:35 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), dh-python, r-base-dev (>= 4.3.2), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal, python3-pytest, python3-jinja2, r-cran-survival
+Build-Depends: debhelper-compat (= 13), dh-python, r-base-dev (>= 4.3.3), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal, python3-pytest, python3-jinja2, r-cran-survival
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

## rpy2 3.5.17

=== debian/changelog ===
rpy2 (3.5.17-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:16:46 +0000

rpy2 (3.5.17-2) unstable; urgency=medium

  * debian/control: Add libzstd-dev to Build-Depends 	(Closes: #1102774)
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 12 Apr 2025 14:44:47 -0500

rpy2 (3.5.17-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 08 Dec 2024 15:10:22 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), dh-python, r-base-dev (>= 4.3.3), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal, python3-pytest, python3-jinja2, r-cran-survival
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), dh-python, r-base-dev (>= 4.5.0), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal, python3-pytest, python3-jinja2, r-cran-survival, libzstd-dev
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,9 @@
 # Commented-out again 2023-05-24
 # override_dh_auto_test:
 
+execute_after_dh_auto_test:
+	find -type f -name Rplots.pdf -delete
+
 override_dh_installdocs:
 	dh_installdocs -a NEWS

## rpy2 3.6.2

=== debian/changelog ===
rpy2 (3.6.2-1) experimental; urgency=medium

  * New upstream release.
    - Adapt packaging to continue including rpy2.rinterface/robjects.
    - While upstream is now a namespace package, this is not.
    - Upload to experimental, as this is a risky change.
  * Change of maintainer and Vcs-* URL. (Closes: #1106545)
  * Rewrite d/copyright, as it was incorrect. (Closes: #1111088)
  * Remove obsolete items; do not Suggest non-existent docs package.
  * Add Build-Depends to run more of the tests.
  * Enable Salsa CI.
  * Add autopkgtest.
  * Clean up after build. (Closes: #1047971)
  * Tests: avoid GMT+/-X timezones, as they fail tzlocal, and
    set locale as some tests expect error messages to be in English.
  * Enable bindnow security hardening.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 16 Aug 2025 16:04:12 +0100

=== debian/control ===
Source: rpy2
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Rebecca N. Palmer <rebecca_palmer@zoho.com>
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), dh-python, libzstd-dev, pybuild-plugin-pyproject, python3-all-dev (>= 3.8~), python3-cffi, python3-ipython <!nocheck>, python3-jinja2, python3-numpy-dev, python3-pandas <!nocheck>, python3-pytest <!nocheck>, python3-setuptools, python3-tzlocal, r-base-dev (>= 4.5.0), r-cran-dbplyr <!nocheck>, r-cran-dplyr <!nocheck>, r-cran-ggplot2 <!nocheck>, r-cran-lazyeval <!nocheck>, r-cran-rlang <!nocheck>, r-cran-survival, r-cran-tidyr <!nocheck>
Vcs-Browser: https://salsa.debian.org/science-team/rpy2
Vcs-Git: https://salsa.debian.org/science-team/rpy2.git
Homepage: https://rpy2.github.io/

Package: python3-rpy2
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, python3-numpy, r-base-core (>= 3.5.0), python3-jinja2, python3-tzlocal
Provides: ${python3:Provides}
Description: Python3 interface to the GNU R language and environment (version 2)
 This Debian package provides RPy2, a very simple yet robust Python interface
 to the GNU R Programming Language. It can manage different types of R objects,
 and can execute arbitrary R functions, including graphic functions.
 Rpy2 is a rewrite and extension of the older RPy interface.

## rpy2 3.6.3

=== debian/changelog ===
rpy2 (3.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 11 Sep 2025 13:06:26 +0100

rpy2 (3.6.2-2) unstable; urgency=medium

  * Upload to unstable.

  [ Debian Janitor ]
  * Remove obsolete version constraint.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 04 Sep 2025 21:22:12 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: python3-rpy2
 Architecture: any
-Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, python3-numpy, r-base-core (>= 3.5.0), python3-jinja2, python3-tzlocal
+Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, python3-numpy, r-base-core, python3-jinja2, python3-tzlocal
 Provides: ${python3:Provides}
 Description: Python3 interface to the GNU R language and environment (version 2)
  This Debian package provides RPy2, a very simple yet robust Python interface

## rpy2 3.6.4

=== requirements.txt ===
cffi>=1.10.0
jinja2
pytz
tzlocal
packaging;platform_system=='Windows'

=== doc/Makefile ===
--- 
+++ 
@@ -64,13 +64,11 @@
 
 # rule to build ipython notebooks from markdown
 notebooks/%.ipynb : notebooks/%.md
-	notedown \
-                 --precode 'from functools import partial' \
-                           'from rpy2.ipython import html' \
-                           'html.html_rdataframe=partial(html.html_rdataframe, table_class="docutils")' \
-                 --run \
+	jupytext \
+                 --set-kernel python3 \
+                 --to ipynb \
                  -o $@ \
-	         $<
+                 --execute $<
 	cp -p $@ _static/notebooks/
 
 # rule to build sphinx-friendly ReST from ipython notebooks

=== doc/requirements.txt ===
ipython
jupyterlab
multipledispatch
nbconvert
notedown
numpy
pandas
pygraphviz
rpy2
sphinx

=== debian/changelog ===
rpy2 (3.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 30 Sep 2025 09:37:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rpy2
 Section: python
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Rebecca N. Palmer <rebecca_palmer@zoho.com>
 Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), dh-python, libzstd-dev, pybuild-plugin-pyproject, python3-all-dev (>= 3.8~), python3-cffi, python3-ipython <!nocheck>, python3-jinja2, python3-numpy-dev, python3-pandas <!nocheck>, python3-pytest <!nocheck>, python3-setuptools, python3-tzlocal, r-base-dev (>= 4.5.0), r-cran-dbplyr <!nocheck>, r-cran-dplyr <!nocheck>, r-cran-ggplot2 <!nocheck>, r-cran-lazyeval <!nocheck>, r-cran-rlang <!nocheck>, r-cran-survival, r-cran-tidyr <!nocheck>

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for the Debian GNU/Linux python-rpy2 package
# Copyright 2004 - 2023 by Dirk Eddelbuettel <edd@debian.org>

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

build3vers      := $(shell py3versions -sv)

version         := $(shell head -1 debian/changelog | perl -nle 'm/\((.*)-\d\)/ && print $$1')

showversion:
	@echo "Version is ${version}"

tarball:
	(cd .. && \
		tar czf ../$(project)_${version}.orig.tar.gz ./$(project) \
			--exclude=.svn --exclude=debian/ --exclude=.hg)

%:
	dh $@ --with python3 --buildsystem=pybuild

# remove the wheel file after each build, as pybuild built_wheel() fails if it finds more than one
override_dh_auto_build:
	PYBUILD_DIR=rpy2-rinterface dh_auto_build
	rm -fv .pybuild/*/*.whl
	PYBUILD_DIR=rpy2-robjects dh_auto_build
	rm -fv .pybuild/*/*.whl
	dh_auto_build

# we set TZ because some tests fail in GMT+/-X timezones (e.g. reprotest default)
# and language because some tests check R error messages and expect the English version
override_dh_auto_test:
	TZ=America/New_York LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 dh_auto_test
	find -type f -name Rplots.pdf -delete

override_dh_installdocs:
	dh_installdocs -a NEWS

execute_after_dh_auto_clean:
	rm -rfv .pybuild build */build src/*.egg-info */src/*.egg-info
	find . -name __pycache__ | rm -rfv

=== debian/tests/control ===
# we set TZ because some tests fail in GMT+/-X timezones (e.g. reprotest default)
# and language because some tests check R error messages and expect the English version
Test-Command: cd $AUTOPKGTEST_TMP && TZ=Pacific/Auckland LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 python3 -m pytest /usr/lib/python3/dist-packages/rpy2
Depends: @, @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="mode=git,gitexport=all,uversionmangle=s/_/./g" \
 https://github.com/rpy2/rpy2 refs/tags/RELEASE_([0-9._]+)
